#gallery {
    text-align: center;
    overflow: hidden;
}
.img-grid{
    margin-top: 50px;
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
}

.display-image{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.img-icon{
    width:80%;
}

.img-icon img{
    width:100%;
    object-fit: contain;
}

.caption{
    text-align: center;
    padding:5px 25%;
}

.caption p{
    font-weight: 500;
    line-height: 1.5;
    font-size: 20px;
}